Package Gnumed :: Package wxpython :: Module gmTerryGuiParts :: Class cAlertCaption |
[frames] | no frames]

# Class cAlertCaption

source code

    wx.Panel --+
               |
              cAlertCaption

Bottom left hand pane alert panel.

This panel consists constructs a simple heading to be used at the bottom of the screen, in the form of capitalised word on user defined foreground and background colours. The heading is left justified curently. The default colours are black text on intermediate grey so as to not make it too intrusive. The alert text will appear in flashing red text

Instance Methods
__init__(self, parent, id, title) | source code
SetCaptionBackgroundColor(self, bg_red, bg_blue, bg_green) | source code
SetCaptionForegroundColor(self, fg_red, fg_blue, fg_green) | source code